/ tests / Makefile.in
Makefile.in
   1  # Makefile.in generated by automake 1.16.5 from Makefile.am.
   2  # @configure_input@
   3  
   4  # Copyright (C) 1994-2021 Free Software Foundation, Inc.
   5  
   6  # This Makefile.in is free software; the Free Software Foundation
   7  # gives unlimited permission to copy and/or distribute it,
   8  # with or without modifications, as long as this notice is preserved.
   9  
  10  # This program is distributed in the hope that it will be useful,
  11  # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  12  # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  13  # PARTICULAR PURPOSE.
  14  
  15  @SET_MAKE@
  16  
  17  # Copyright © 2016 Dr. Tobias Quathamer <toddy@debian.org>
  18  #
  19  # This program is free software: you can redistribute it and/or modify
  20  # it under the terms of the GNU General Public License as published by
  21  # the Free Software Foundation, either version 3 of the License, or
  22  # (at your option) any later version.
  23  #
  24  # This program is distributed in the hope that it will be useful,
  25  # but WITHOUT ANY WARRANTY; without even the implied warranty of
  26  # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  27  # GNU General Public License for more details.
  28  #
  29  # You should have received a copy of the GNU General Public License
  30  # along with this program.  If not, see <http://www.gnu.org/licenses/>.
  31  
  32  # GLIB - Library of useful C routines
  33  
  34  
  35  
  36  
  37  VPATH = @srcdir@
  38  am__is_gnu_make = { \
  39    if test -z '$(MAKELEVEL)'; then \
  40      false; \
  41    elif test -n '$(MAKE_HOST)'; then \
  42      true; \
  43    elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  44      true; \
  45    else \
  46      false; \
  47    fi; \
  48  }
  49  am__make_running_with_option = \
  50    case $${target_option-} in \
  51        ?) ;; \
  52        *) echo "am__make_running_with_option: internal error: invalid" \
  53                "target option '$${target_option-}' specified" >&2; \
  54           exit 1;; \
  55    esac; \
  56    has_opt=no; \
  57    sane_makeflags=$$MAKEFLAGS; \
  58    if $(am__is_gnu_make); then \
  59      sane_makeflags=$$MFLAGS; \
  60    else \
  61      case $$MAKEFLAGS in \
  62        *\\[\ \	]*) \
  63          bs=\\; \
  64          sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  65            | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
  66      esac; \
  67    fi; \
  68    skip_next=no; \
  69    strip_trailopt () \
  70    { \
  71      flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  72    }; \
  73    for flg in $$sane_makeflags; do \
  74      test $$skip_next = yes && { skip_next=no; continue; }; \
  75      case $$flg in \
  76        *=*|--*) continue;; \
  77          -*I) strip_trailopt 'I'; skip_next=yes;; \
  78        -*I?*) strip_trailopt 'I';; \
  79          -*O) strip_trailopt 'O'; skip_next=yes;; \
  80        -*O?*) strip_trailopt 'O';; \
  81          -*l) strip_trailopt 'l'; skip_next=yes;; \
  82        -*l?*) strip_trailopt 'l';; \
  83        -[dEDm]) skip_next=yes;; \
  84        -[JT]) skip_next=yes;; \
  85      esac; \
  86      case $$flg in \
  87        *$$target_option*) has_opt=yes; break;; \
  88      esac; \
  89    done; \
  90    test $$has_opt = yes
  91  am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  92  am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  93  pkgdatadir = $(datadir)/@PACKAGE@
  94  pkgincludedir = $(includedir)/@PACKAGE@
  95  pkglibdir = $(libdir)/@PACKAGE@
  96  pkglibexecdir = $(libexecdir)/@PACKAGE@
  97  am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  98  install_sh_DATA = $(install_sh) -c -m 644
  99  install_sh_PROGRAM = $(install_sh) -c
 100  install_sh_SCRIPT = $(install_sh) -c
 101  INSTALL_HEADER = $(INSTALL_DATA)
 102  transform = $(program_transform_name)
 103  NORMAL_INSTALL = :
 104  PRE_INSTALL = :
 105  POST_INSTALL = :
 106  NORMAL_UNINSTALL = :
 107  PRE_UNINSTALL = :
 108  POST_UNINSTALL = :
 109  build_triplet = @build@
 110  host_triplet = @host@
 111  TESTS = $(am__EXEEXT_1)
 112  installed_test_PROGRAMS = $(am__EXEEXT_4)
 113  noinst_PROGRAMS = $(am__EXEEXT_5)
 114  check_PROGRAMS = $(am__EXEEXT_3)
 115  @ENABLE_ALWAYS_BUILD_TESTS_TRUE@am__append_1 = $(all_test_ltlibs)
 116  @ENABLE_ALWAYS_BUILD_TESTS_TRUE@am__append_2 = $(all_test_programs)
 117  @ENABLE_ALWAYS_BUILD_TESTS_TRUE@am__append_3 = $(all_test_scripts)
 118  @ENABLE_ALWAYS_BUILD_TESTS_TRUE@am__append_4 = $(all_test_data)
 119  @ENABLE_ALWAYS_BUILD_TESTS_FALSE@am__append_5 = $(all_test_ltlibs)
 120  @ENABLE_ALWAYS_BUILD_TESTS_FALSE@am__append_6 = $(all_test_programs)
 121  @ENABLE_ALWAYS_BUILD_TESTS_FALSE@am__append_7 = $(all_test_scripts)
 122  @ENABLE_ALWAYS_BUILD_TESTS_FALSE@am__append_8 = $(all_test_data)
 123  @ENABLE_INSTALLED_TESTS_TRUE@am__append_9 = $(test_programs) $(installed_test_programs) \
 124  @ENABLE_INSTALLED_TESTS_TRUE@                          $(test_extra_programs) $(installed_test_extra_programs)
 125  
 126  @ENABLE_INSTALLED_TESTS_TRUE@am__append_10 = $(test_scripts) \
 127  @ENABLE_INSTALLED_TESTS_TRUE@	$(installed_test_scripts) \
 128  @ENABLE_INSTALLED_TESTS_TRUE@	$(test_extra_scripts) \
 129  @ENABLE_INSTALLED_TESTS_TRUE@	$(test_installed_extra_scripts) \
 130  @ENABLE_INSTALLED_TESTS_TRUE@	$(dist_test_scripts) \
 131  @ENABLE_INSTALLED_TESTS_TRUE@	$(dist_test_extra_scripts) \
 132  @ENABLE_INSTALLED_TESTS_TRUE@	$(dist_installed_test_scripts) \
 133  @ENABLE_INSTALLED_TESTS_TRUE@	$(dist_installed_test_extra_scripts)
 134  @ENABLE_INSTALLED_TESTS_TRUE@am__append_11 = $(test_data) \
 135  @ENABLE_INSTALLED_TESTS_TRUE@	$(installed_test_data) \
 136  @ENABLE_INSTALLED_TESTS_TRUE@	$(dist_test_data) \
 137  @ENABLE_INSTALLED_TESTS_TRUE@	$(dist_installed_test_data)
 138  @ENABLE_INSTALLED_TESTS_TRUE@am__append_12 = $(test_ltlibraries) $(installed_test_ltlibraries)
 139  @ENABLE_INSTALLED_TESTS_TRUE@am__append_13 = $(installed_test_meta_DATA)
 140  subdir = tests
 141  ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 142  am__aclocal_m4_deps = $(top_srcdir)/build/m4/gettext.m4 \
 143  	$(top_srcdir)/build/m4/glibtests.m4 \
 144  	$(top_srcdir)/build/m4/iconv.m4 \
 145  	$(top_srcdir)/build/m4/intlmacosx.m4 \
 146  	$(top_srcdir)/build/m4/lib-ld.m4 \
 147  	$(top_srcdir)/build/m4/lib-link.m4 \
 148  	$(top_srcdir)/build/m4/lib-prefix.m4 \
 149  	$(top_srcdir)/build/m4/nls.m4 $(top_srcdir)/build/m4/po.m4 \
 150  	$(top_srcdir)/build/m4/progtest.m4 $(top_srcdir)/configure.ac
 151  am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 152  	$(ACLOCAL_M4)
 153  DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
 154  mkinstalldirs = $(install_sh) -d
 155  CONFIG_CLEAN_FILES =
 156  CONFIG_CLEAN_VPATH_FILES =
 157  am__EXEEXT_1 = options$(EXEEXT) integration$(EXEEXT)
 158  am__EXEEXT_2 = $(am__EXEEXT_1)
 159  @ENABLE_ALWAYS_BUILD_TESTS_FALSE@am__EXEEXT_3 = $(am__EXEEXT_2)
 160  @ENABLE_INSTALLED_TESTS_TRUE@am__EXEEXT_4 = $(am__EXEEXT_1)
 161  am__installdirs = "$(DESTDIR)$(installed_testdir)" \
 162  	"$(DESTDIR)$(installed_testdir)" \
 163  	"$(DESTDIR)$(installed_testdir)" \
 164  	"$(DESTDIR)$(installed_test_metadir)" \
 165  	"$(DESTDIR)$(installed_testdir)"
 166  @ENABLE_ALWAYS_BUILD_TESTS_TRUE@am__EXEEXT_5 = $(am__EXEEXT_2)
 167  PROGRAMS = $(installed_test_PROGRAMS) $(noinst_PROGRAMS)
 168  am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
 169  am__vpath_adj = case $$p in \
 170      $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
 171      *) f=$$p;; \
 172    esac;
 173  am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
 174  am__install_max = 40
 175  am__nobase_strip_setup = \
 176    srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
 177  am__nobase_strip = \
 178    for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
 179  am__nobase_list = $(am__nobase_strip_setup); \
 180    for p in $$list; do echo "$$p $$p"; done | \
 181    sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
 182    $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
 183      if (++n[$$2] == $(am__install_max)) \
 184        { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
 185      END { for (dir in files) print dir, files[dir] }'
 186  am__base_list = \
 187    sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
 188    sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
 189  am__uninstall_files_from_dir = { \
 190    test -z "$$files" \
 191      || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
 192      || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
 193           $(am__cd) "$$dir" && rm -f $$files; }; \
 194    }
 195  LTLIBRARIES = $(installed_test_LTLIBRARIES) $(noinst_LTLIBRARIES)
 196  integration_SOURCES = integration.c
 197  integration_OBJECTS = integration-integration.$(OBJEXT)
 198  integration_LDADD = $(LDADD)
 199  am__DEPENDENCIES_1 =
 200  integration_DEPENDENCIES = $(top_builddir)/src/options.o \
 201  	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 202  options_SOURCES = options.c
 203  options_OBJECTS = options.$(OBJEXT)
 204  options_LDADD = $(LDADD)
 205  options_DEPENDENCIES = $(top_builddir)/src/options.o \
 206  	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 207  SCRIPTS = $(installed_test_SCRIPTS) $(noinst_SCRIPTS)
 208  AM_V_P = $(am__v_P_@AM_V@)
 209  am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
 210  am__v_P_0 = false
 211  am__v_P_1 = :
 212  AM_V_GEN = $(am__v_GEN_@AM_V@)
 213  am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
 214  am__v_GEN_0 = @echo "  GEN     " $@;
 215  am__v_GEN_1 = 
 216  AM_V_at = $(am__v_at_@AM_V@)
 217  am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
 218  am__v_at_0 = @
 219  am__v_at_1 = 
 220  DEFAULT_INCLUDES = -I.@am__isrc@
 221  depcomp = $(SHELL) $(top_srcdir)/build/depcomp
 222  am__maybe_remake_depfiles = depfiles
 223  am__depfiles_remade = ./$(DEPDIR)/integration-integration.Po \
 224  	./$(DEPDIR)/options.Po
 225  am__mv = mv -f
 226  AM_V_lt = $(am__v_lt_@AM_V@)
 227  am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
 228  am__v_lt_0 = --silent
 229  am__v_lt_1 = 
 230  COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
 231  	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 232  AM_V_CC = $(am__v_CC_@AM_V@)
 233  am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
 234  am__v_CC_0 = @echo "  CC      " $@;
 235  am__v_CC_1 = 
 236  CCLD = $(CC)
 237  LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
 238  AM_V_CCLD = $(am__v_CCLD_@AM_V@)
 239  am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
 240  am__v_CCLD_0 = @echo "  CCLD    " $@;
 241  am__v_CCLD_1 = 
 242  SOURCES = integration.c options.c
 243  DIST_SOURCES = integration.c options.c
 244  am__can_run_installinfo = \
 245    case $$AM_UPDATE_INFO_DIR in \
 246      n|no|NO) false;; \
 247      *) (install-info --version) >/dev/null 2>&1;; \
 248    esac
 249  DATA = $(installed_test_meta_DATA) $(nobase_installed_test_DATA) \
 250  	$(noinst_DATA)
 251  am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 252  # Read a list of newline-separated strings from the standard input,
 253  # and print each of them once, without duplicates.  Input order is
 254  # *not* preserved.
 255  am__uniquify_input = $(AWK) '\
 256    BEGIN { nonempty = 0; } \
 257    { items[$$0] = 1; nonempty = 1; } \
 258    END { if (nonempty) { for (i in items) print i; }; } \
 259  '
 260  # Make sure the list of sources is unique.  This is necessary because,
 261  # e.g., the same source file might be shared among _SOURCES variables
 262  # for different programs/libraries.
 263  am__define_uniq_tagged_files = \
 264    list='$(am__tagged_files)'; \
 265    unique=`for i in $$list; do \
 266      if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
 267    done | $(am__uniquify_input)`
 268  am__tty_colors_dummy = \
 269    mgn= red= grn= lgn= blu= brg= std=; \
 270    am__color_tests=no
 271  am__tty_colors = { \
 272    $(am__tty_colors_dummy); \
 273    if test "X$(AM_COLOR_TESTS)" = Xno; then \
 274      am__color_tests=no; \
 275    elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
 276      am__color_tests=yes; \
 277    elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
 278      am__color_tests=yes; \
 279    fi; \
 280    if test $$am__color_tests = yes; then \
 281      red=''; \
 282      grn=''; \
 283      lgn=''; \
 284      blu=''; \
 285      mgn=''; \
 286      brg=''; \
 287      std=''; \
 288    fi; \
 289  }
 290  am__recheck_rx = ^[ 	]*:recheck:[ 	]*
 291  am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
 292  am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
 293  # A command that, given a newline-separated list of test names on the
 294  # standard input, print the name of the tests that are to be re-run
 295  # upon "make recheck".
 296  am__list_recheck_tests = $(AWK) '{ \
 297    recheck = 1; \
 298    while ((rc = (getline line < ($$0 ".trs"))) != 0) \
 299      { \
 300        if (rc < 0) \
 301          { \
 302            if ((getline line2 < ($$0 ".log")) < 0) \
 303  	    recheck = 0; \
 304            break; \
 305          } \
 306        else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
 307          { \
 308            recheck = 0; \
 309            break; \
 310          } \
 311        else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
 312          { \
 313            break; \
 314          } \
 315      }; \
 316    if (recheck) \
 317      print $$0; \
 318    close ($$0 ".trs"); \
 319    close ($$0 ".log"); \
 320  }'
 321  # A command that, given a newline-separated list of test names on the
 322  # standard input, create the global log from their .trs and .log files.
 323  am__create_global_log = $(AWK) ' \
 324  function fatal(msg) \
 325  { \
 326    print "fatal: making $@: " msg | "cat >&2"; \
 327    exit 1; \
 328  } \
 329  function rst_section(header) \
 330  { \
 331    print header; \
 332    len = length(header); \
 333    for (i = 1; i <= len; i = i + 1) \
 334      printf "="; \
 335    printf "\n\n"; \
 336  } \
 337  { \
 338    copy_in_global_log = 1; \
 339    global_test_result = "RUN"; \
 340    while ((rc = (getline line < ($$0 ".trs"))) != 0) \
 341      { \
 342        if (rc < 0) \
 343           fatal("failed to read from " $$0 ".trs"); \
 344        if (line ~ /$(am__global_test_result_rx)/) \
 345          { \
 346            sub("$(am__global_test_result_rx)", "", line); \
 347            sub("[ 	]*$$", "", line); \
 348            global_test_result = line; \
 349          } \
 350        else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
 351          copy_in_global_log = 0; \
 352      }; \
 353    if (copy_in_global_log) \
 354      { \
 355        rst_section(global_test_result ": " $$0); \
 356        while ((rc = (getline line < ($$0 ".log"))) != 0) \
 357        { \
 358          if (rc < 0) \
 359            fatal("failed to read from " $$0 ".log"); \
 360          print line; \
 361        }; \
 362        printf "\n"; \
 363      }; \
 364    close ($$0 ".trs"); \
 365    close ($$0 ".log"); \
 366  }'
 367  # Restructured Text title.
 368  am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
 369  # Solaris 10 'make', and several other traditional 'make' implementations,
 370  # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
 371  # by disabling -e (using the XSI extension "set +e") if it's set.
 372  am__sh_e_setup = case $$- in *e*) set +e;; esac
 373  # Default flags passed to test drivers.
 374  am__common_driver_flags = \
 375    --color-tests "$$am__color_tests" \
 376    --enable-hard-errors "$$am__enable_hard_errors" \
 377    --expect-failure "$$am__expect_failure"
 378  # To be inserted before the command running the test.  Creates the
 379  # directory for the log if needed.  Stores in $dir the directory
 380  # containing $f, in $tst the test, in $log the log.  Executes the
 381  # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
 382  # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
 383  # will run the test scripts (or their associated LOG_COMPILER, if
 384  # thy have one).
 385  am__check_pre = \
 386  $(am__sh_e_setup);					\
 387  $(am__vpath_adj_setup) $(am__vpath_adj)			\
 388  $(am__tty_colors);					\
 389  srcdir=$(srcdir); export srcdir;			\
 390  case "$@" in						\
 391    */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
 392      *) am__odir=.;; 					\
 393  esac;							\
 394  test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
 395    || $(MKDIR_P) "$$am__odir" || exit $$?;		\
 396  if test -f "./$$f"; then dir=./;			\
 397  elif test -f "$$f"; then dir=;				\
 398  else dir="$(srcdir)/"; fi;				\
 399  tst=$$dir$$f; log='$@'; 				\
 400  if test -n '$(DISABLE_HARD_ERRORS)'; then		\
 401    am__enable_hard_errors=no; 				\
 402  else							\
 403    am__enable_hard_errors=yes; 				\
 404  fi; 							\
 405  case " $(XFAIL_TESTS) " in				\
 406    *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
 407      am__expect_failure=yes;;				\
 408    *)							\
 409      am__expect_failure=no;;				\
 410  esac; 							\
 411  $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
 412  # A shell command to get the names of the tests scripts with any registered
 413  # extension removed (i.e., equivalently, the names of the test logs, with
 414  # the '.log' extension removed).  The result is saved in the shell variable
 415  # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
 416  # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
 417  # since that might cause problem with VPATH rewrites for suffix-less tests.
 418  # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
 419  am__set_TESTS_bases = \
 420    bases='$(TEST_LOGS)'; \
 421    bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
 422    bases=`echo $$bases`
 423  AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
 424  RECHECK_LOGS = $(TEST_LOGS)
 425  AM_RECURSIVE_TARGETS = check recheck
 426  TEST_SUITE_LOG = test-suite.log
 427  TEST_EXTENSIONS = @EXEEXT@ .test
 428  LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
 429  am__set_b = \
 430    case '$@' in \
 431      */*) \
 432        case '$*' in \
 433          */*) b='$*';; \
 434            *) b=`echo '$@' | sed 's/\.log$$//'`; \
 435         esac;; \
 436      *) \
 437        b='$*';; \
 438    esac
 439  am__test_logs1 = $(TESTS:=.log)
 440  am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
 441  TEST_LOGS = $(am__test_logs2:.test.log=.log)
 442  TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build/test-driver
 443  TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
 444  	$(TEST_LOG_FLAGS)
 445  am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/build/depcomp \
 446  	$(top_srcdir)/build/glib-tap.mk \
 447  	$(top_srcdir)/build/test-driver
 448  DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 449  ACLOCAL = @ACLOCAL@
 450  AMTAR = @AMTAR@
 451  AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
 452  ASCIIDOCTOR = @ASCIIDOCTOR@
 453  AUTOCONF = @AUTOCONF@
 454  AUTOHEADER = @AUTOHEADER@
 455  AUTOMAKE = @AUTOMAKE@
 456  AWK = @AWK@
 457  CC = @CC@
 458  CCDEPMODE = @CCDEPMODE@
 459  CFLAGS = @CFLAGS@
 460  CPP = @CPP@
 461  CPPFLAGS = @CPPFLAGS@
 462  CSCOPE = @CSCOPE@
 463  CTAGS = @CTAGS@
 464  CYGPATH_W = @CYGPATH_W@
 465  DEFS = @DEFS@
 466  DEPDIR = @DEPDIR@
 467  ECHO_C = @ECHO_C@
 468  ECHO_N = @ECHO_N@
 469  ECHO_T = @ECHO_T@
 470  ETAGS = @ETAGS@
 471  EXEEXT = @EXEEXT@
 472  GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
 473  GLIB_CFLAGS = @GLIB_CFLAGS@
 474  GLIB_LIBS = @GLIB_LIBS@
 475  GMSGFMT = @GMSGFMT@
 476  GMSGFMT_015 = @GMSGFMT_015@
 477  INSTALL = @INSTALL@
 478  INSTALL_DATA = @INSTALL_DATA@
 479  INSTALL_PROGRAM = @INSTALL_PROGRAM@
 480  INSTALL_SCRIPT = @INSTALL_SCRIPT@
 481  INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
 482  INTLLIBS = @INTLLIBS@
 483  INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 484  JSON_CFLAGS = @JSON_CFLAGS@
 485  JSON_LIBS = @JSON_LIBS@
 486  LDFLAGS = @LDFLAGS@
 487  LIBICONV = @LIBICONV@
 488  LIBINTL = @LIBINTL@
 489  LIBOBJS = @LIBOBJS@
 490  LIBS = @LIBS@
 491  LTLIBICONV = @LTLIBICONV@
 492  LTLIBINTL = @LTLIBINTL@
 493  LTLIBOBJS = @LTLIBOBJS@
 494  MAINT = @MAINT@
 495  MAKEINFO = @MAKEINFO@
 496  MKDIR_P = @MKDIR_P@
 497  MSGFMT = @MSGFMT@
 498  MSGFMT_015 = @MSGFMT_015@
 499  MSGMERGE = @MSGMERGE@
 500  OBJEXT = @OBJEXT@
 501  PACKAGE = @PACKAGE@
 502  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
 503  PACKAGE_NAME = @PACKAGE_NAME@
 504  PACKAGE_STRING = @PACKAGE_STRING@
 505  PACKAGE_TARNAME = @PACKAGE_TARNAME@
 506  PACKAGE_URL = @PACKAGE_URL@
 507  PACKAGE_VERSION = @PACKAGE_VERSION@
 508  PATH_SEPARATOR = @PATH_SEPARATOR@
 509  PKG_CONFIG = @PKG_CONFIG@
 510  PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
 511  PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
 512  PO4A_GETTEXTIZE = @PO4A_GETTEXTIZE@
 513  PO4A_TRANSLATE = @PO4A_TRANSLATE@
 514  POSUB = @POSUB@
 515  SED = @SED@
 516  SET_MAKE = @SET_MAKE@
 517  SHELL = @SHELL@
 518  STRIP = @STRIP@
 519  USE_NLS = @USE_NLS@
 520  VERSION = @VERSION@
 521  XGETTEXT = @XGETTEXT@
 522  XGETTEXT_015 = @XGETTEXT_015@
 523  XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
 524  abs_builddir = @abs_builddir@
 525  abs_srcdir = @abs_srcdir@
 526  abs_top_builddir = @abs_top_builddir@
 527  abs_top_srcdir = @abs_top_srcdir@
 528  ac_ct_CC = @ac_ct_CC@
 529  am__include = @am__include@
 530  am__leading_dot = @am__leading_dot@
 531  am__quote = @am__quote@
 532  am__tar = @am__tar@
 533  am__untar = @am__untar@
 534  bindir = @bindir@
 535  build = @build@
 536  build_alias = @build_alias@
 537  build_cpu = @build_cpu@
 538  build_os = @build_os@
 539  build_vendor = @build_vendor@
 540  builddir = @builddir@
 541  datadir = @datadir@
 542  datarootdir = @datarootdir@
 543  docdir = @docdir@
 544  dvidir = @dvidir@
 545  exec_prefix = @exec_prefix@
 546  host = @host@
 547  host_alias = @host_alias@
 548  host_cpu = @host_cpu@
 549  host_os = @host_os@
 550  host_vendor = @host_vendor@
 551  htmldir = @htmldir@
 552  includedir = @includedir@
 553  infodir = @infodir@
 554  install_sh = @install_sh@
 555  installed_test_metadir = @installed_test_metadir@
 556  installed_testdir = @installed_testdir@
 557  libdir = @libdir@
 558  libexecdir = @libexecdir@
 559  localedir = @localedir@
 560  localstatedir = @localstatedir@
 561  mandir = @mandir@
 562  mkdir_p = @mkdir_p@
 563  oldincludedir = @oldincludedir@
 564  pdfdir = @pdfdir@
 565  prefix = @prefix@
 566  program_transform_name = @program_transform_name@
 567  psdir = @psdir@
 568  runstatedir = @runstatedir@
 569  sbindir = @sbindir@
 570  sharedstatedir = @sharedstatedir@
 571  srcdir = @srcdir@
 572  sysconfdir = @sysconfdir@
 573  target_alias = @target_alias@
 574  top_build_prefix = @top_build_prefix@
 575  top_builddir = @top_builddir@
 576  top_srcdir = @top_srcdir@
 577  TESTS_ENVIRONMENT = \
 578  	G_TEST_SRCDIR="$(abs_srcdir)" 		\
 579  	G_TEST_BUILDDIR="$(abs_builddir)" 	\
 580  	G_DEBUG=gc-friendly 			\
 581  	MALLOC_CHECK_=2 			\
 582  	MALLOC_PERTURB_=$$(($${RANDOM:-256} % 256))
 583  
 584  LOG_DRIVER = env AM_TAP_AWK='$(AWK)' $(SHELL) $(top_srcdir)/build/tap-driver.sh
 585  LOG_COMPILER = $(top_srcdir)/build/tap-test
 586  NULL = 
 587  
 588  # initialize variables for unconditional += appending
 589  BUILT_SOURCES = 
 590  BUILT_EXTRA_DIST = 
 591  CLEANFILES = *.log *.trs $(am__append_13)
 592  DISTCLEANFILES = 
 593  MAINTAINERCLEANFILES = 
 594  
 595  # Include data and test files directories
 596  EXTRA_DIST = $(all_dist_test_scripts) $(all_dist_test_data) data \
 597  	expected
 598  installed_test_LTLIBRARIES = $(am__append_12)
 599  installed_test_SCRIPTS = $(am__append_10)
 600  nobase_installed_test_DATA = $(am__append_11)
 601  noinst_LTLIBRARIES = $(am__append_1)
 602  noinst_SCRIPTS = $(am__append_3)
 603  noinst_DATA = $(am__append_4)
 604  check_LTLIBRARIES = $(am__append_5)
 605  check_SCRIPTS = $(am__append_7)
 606  check_DATA = $(am__append_8)
 607  
 608  # Note: build even the installed-only targets during 'make check' to ensure that they still work.
 609  # We need to do a bit of trickery here and manage disting via EXTRA_DIST instead of using dist_ prefixes to
 610  # prevent automake from mistreating gmake functions like $(wildcard ...) and $(addprefix ...) as if they were
 611  # filenames, including removing duplicate instances of the opening part before the space, eg. '$(addprefix'.
 612  all_test_programs = $(test_programs) $(uninstalled_test_programs) $(installed_test_programs) \
 613                          $(test_extra_programs) $(uninstalled_test_extra_programs) $(installed_test_extra_programs)
 614  
 615  all_test_scripts = $(test_scripts) $(uninstalled_test_scripts) \
 616  	$(installed_test_scripts) $(test_extra_scripts) \
 617  	$(uninstalled_test_extra_scripts) \
 618  	$(installed_test_extra_scripts) $(all_dist_test_scripts)
 619  all_dist_test_scripts = $(dist_test_scripts) $(dist_uninstalled_test_scripts) $(dist_installed_test_scripts) \
 620                          $(dist_test_extra_scripts) $(dist_uninstalled_test_extra_scripts) $(dist_installed_test_extra_scripts)
 621  
 622  all_test_data = $(test_data) $(uninstalled_test_data) \
 623  	$(installed_test_data) $(all_dist_test_data)
 624  all_dist_test_data = $(dist_test_data) $(dist_uninstalled_test_data) $(dist_installed_test_data)
 625  all_test_ltlibs = $(test_ltlibraries) $(uninstalled_test_ltlibraries) $(installed_test_ltlibraries)
 626  @ENABLE_INSTALLED_TESTS_TRUE@installed_testcases = $(test_programs) $(installed_test_programs) \
 627  @ENABLE_INSTALLED_TESTS_TRUE@                      $(test_scripts) $(installed_test_scripts) \
 628  @ENABLE_INSTALLED_TESTS_TRUE@                      $(dist_test_scripts) $(dist_installed_test_scripts)
 629  
 630  @ENABLE_INSTALLED_TESTS_TRUE@installed_test_meta_DATA = $(installed_testcases:=.test)
 631  AM_CPPFLAGS = -I$(top_srcdir)/src $(GLIB_CFLAGS) $(JSON_CFLAGS)
 632  LDADD = $(top_builddir)/src/options.o $(GLIB_LIBS) $(JSON_LIBS)
 633  
 634  # test binaries
 635  test_programs = options integration
 636  integration_CPPFLAGS = -DTESTDIR=\"$(srcdir)\" $(AM_CPPFLAGS)
 637  all: $(BUILT_SOURCES)
 638  	$(MAKE) $(AM_MAKEFLAGS) all-am
 639  
 640  .SUFFIXES:
 641  .SUFFIXES: .c .log .o .obj .test .test$(EXEEXT) .trs
 642  $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/build/glib-tap.mk $(am__configure_deps)
 643  	@for dep in $?; do \
 644  	  case '$(am__configure_deps)' in \
 645  	    *$$dep*) \
 646  	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
 647  	        && { if test -f $@; then exit 0; else break; fi; }; \
 648  	      exit 1;; \
 649  	  esac; \
 650  	done; \
 651  	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/Makefile'; \
 652  	$(am__cd) $(top_srcdir) && \
 653  	  $(AUTOMAKE) --foreign tests/Makefile
 654  Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
 655  	@case '$?' in \
 656  	  *config.status*) \
 657  	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
 658  	  *) \
 659  	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
 660  	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
 661  	esac;
 662  $(top_srcdir)/build/glib-tap.mk $(am__empty):
 663  
 664  $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
 665  	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 666  
 667  $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
 668  	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 669  $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
 670  	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 671  $(am__aclocal_m4_deps):
 672  
 673  clean-checkPROGRAMS:
 674  	-test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
 675  install-installed_testPROGRAMS: $(installed_test_PROGRAMS)
 676  	@$(NORMAL_INSTALL)
 677  	@list='$(installed_test_PROGRAMS)'; test -n "$(installed_testdir)" || list=; \
 678  	if test -n "$$list"; then \
 679  	  echo " $(MKDIR_P) '$(DESTDIR)$(installed_testdir)'"; \
 680  	  $(MKDIR_P) "$(DESTDIR)$(installed_testdir)" || exit 1; \
 681  	fi; \
 682  	for p in $$list; do echo "$$p $$p"; done | \
 683  	sed 's/$(EXEEXT)$$//' | \
 684  	while read p p1; do if test -f $$p \
 685  	  ; then echo "$$p"; echo "$$p"; else :; fi; \
 686  	done | \
 687  	sed -e 'p;s,.*/,,;n;h' \
 688  	    -e 's|.*|.|' \
 689  	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
 690  	sed 'N;N;N;s,\n, ,g' | \
 691  	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
 692  	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
 693  	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
 694  	    else { print "f", $$3 "/" $$4, $$1; } } \
 695  	  END { for (d in files) print "f", d, files[d] }' | \
 696  	while read type dir files; do \
 697  	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
 698  	    test -z "$$files" || { \
 699  	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(installed_testdir)$$dir'"; \
 700  	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(installed_testdir)$$dir" || exit $$?; \
 701  	    } \
 702  	; done
 703  
 704  uninstall-installed_testPROGRAMS:
 705  	@$(NORMAL_UNINSTALL)
 706  	@list='$(installed_test_PROGRAMS)'; test -n "$(installed_testdir)" || list=; \
 707  	files=`for p in $$list; do echo "$$p"; done | \
 708  	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
 709  	      -e 's/$$/$(EXEEXT)/' \
 710  	`; \
 711  	test -n "$$list" || exit 0; \
 712  	echo " ( cd '$(DESTDIR)$(installed_testdir)' && rm -f" $$files ")"; \
 713  	cd "$(DESTDIR)$(installed_testdir)" && rm -f $$files
 714  
 715  clean-installed_testPROGRAMS:
 716  	-test -z "$(installed_test_PROGRAMS)" || rm -f $(installed_test_PROGRAMS)
 717  
 718  clean-noinstPROGRAMS:
 719  	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
 720  
 721  clean-checkLTLIBRARIES:
 722  	-test -z "$(check_LTLIBRARIES)" || rm -f $(check_LTLIBRARIES)
 723  	@list='$(check_LTLIBRARIES)'; \
 724  	locs=`for p in $$list; do echo $$p; done | \
 725  	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
 726  	      sort -u`; \
 727  	test -z "$$locs" || { \
 728  	  echo rm -f $${locs}; \
 729  	  rm -f $${locs}; \
 730  	}
 731  
 732  install-installed_testLTLIBRARIES: $(installed_test_LTLIBRARIES)
 733  	@$(NORMAL_INSTALL)
 734  	@list='$(installed_test_LTLIBRARIES)'; test -n "$(installed_testdir)" || list=; \
 735  	list2=; for p in $$list; do \
 736  	  if test -f $$p; then \
 737  	    list2="$$list2 $$p"; \
 738  	  else :; fi; \
 739  	done; \
 740  	test -z "$$list2" || { \
 741  	  echo " $(MKDIR_P) '$(DESTDIR)$(installed_testdir)'"; \
 742  	  $(MKDIR_P) "$(DESTDIR)$(installed_testdir)" || exit 1; \
 743  	  echo " $(INSTALL) $(INSTALL_STRIP_FLAG) $$list '$(DESTDIR)$(installed_testdir)'"; \
 744  	  $(INSTALL) $(INSTALL_STRIP_FLAG) $$list "$(DESTDIR)$(installed_testdir)"; \
 745  	}
 746  
 747  uninstall-installed_testLTLIBRARIES:
 748  	@$(NORMAL_UNINSTALL)
 749  	@list='$(installed_test_LTLIBRARIES)'; test -n "$(installed_testdir)" || list=; \
 750  	for p in $$list; do \
 751  	  $(am__strip_dir) \
 752  	  echo " rm -f '$(DESTDIR)$(installed_testdir)/$$f'"; \
 753  	  rm -f "$(DESTDIR)$(installed_testdir)/$$f"; \
 754  	done
 755  
 756  clean-installed_testLTLIBRARIES:
 757  	-test -z "$(installed_test_LTLIBRARIES)" || rm -f $(installed_test_LTLIBRARIES)
 758  	@list='$(installed_test_LTLIBRARIES)'; \
 759  	locs=`for p in $$list; do echo $$p; done | \
 760  	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
 761  	      sort -u`; \
 762  	test -z "$$locs" || { \
 763  	  echo rm -f $${locs}; \
 764  	  rm -f $${locs}; \
 765  	}
 766  
 767  clean-noinstLTLIBRARIES:
 768  	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
 769  	@list='$(noinst_LTLIBRARIES)'; \
 770  	locs=`for p in $$list; do echo $$p; done | \
 771  	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
 772  	      sort -u`; \
 773  	test -z "$$locs" || { \
 774  	  echo rm -f $${locs}; \
 775  	  rm -f $${locs}; \
 776  	}
 777  
 778  integration$(EXEEXT): $(integration_OBJECTS) $(integration_DEPENDENCIES) $(EXTRA_integration_DEPENDENCIES) 
 779  	@rm -f integration$(EXEEXT)
 780  	$(AM_V_CCLD)$(LINK) $(integration_OBJECTS) $(integration_LDADD) $(LIBS)
 781  
 782  options$(EXEEXT): $(options_OBJECTS) $(options_DEPENDENCIES) $(EXTRA_options_DEPENDENCIES) 
 783  	@rm -f options$(EXEEXT)
 784  	$(AM_V_CCLD)$(LINK) $(options_OBJECTS) $(options_LDADD) $(LIBS)
 785  install-installed_testSCRIPTS: $(installed_test_SCRIPTS)
 786  	@$(NORMAL_INSTALL)
 787  	@list='$(installed_test_SCRIPTS)'; test -n "$(installed_testdir)" || list=; \
 788  	if test -n "$$list"; then \
 789  	  echo " $(MKDIR_P) '$(DESTDIR)$(installed_testdir)'"; \
 790  	  $(MKDIR_P) "$(DESTDIR)$(installed_testdir)" || exit 1; \
 791  	fi; \
 792  	for p in $$list; do \
 793  	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
 794  	  if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
 795  	done | \
 796  	sed -e 'p;s,.*/,,;n' \
 797  	    -e 'h;s|.*|.|' \
 798  	    -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
 799  	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
 800  	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
 801  	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \
 802  	      if (++n[d] == $(am__install_max)) { \
 803  		print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
 804  	    else { print "f", d "/" $$4, $$1 } } \
 805  	  END { for (d in files) print "f", d, files[d] }' | \
 806  	while read type dir files; do \
 807  	     if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
 808  	     test -z "$$files" || { \
 809  	       echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(installed_testdir)$$dir'"; \
 810  	       $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(installed_testdir)$$dir" || exit $$?; \
 811  	     } \
 812  	; done
 813  
 814  uninstall-installed_testSCRIPTS:
 815  	@$(NORMAL_UNINSTALL)
 816  	@list='$(installed_test_SCRIPTS)'; test -n "$(installed_testdir)" || exit 0; \
 817  	files=`for p in $$list; do echo "$$p"; done | \
 818  	       sed -e 's,.*/,,;$(transform)'`; \
 819  	dir='$(DESTDIR)$(installed_testdir)'; $(am__uninstall_files_from_dir)
 820  
 821  mostlyclean-compile:
 822  	-rm -f *.$(OBJEXT)
 823  
 824  distclean-compile:
 825  	-rm -f *.tab.c
 826  
 827  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/integration-integration.Po@am__quote@ # am--include-marker
 828  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/options.Po@am__quote@ # am--include-marker
 829  
 830  $(am__depfiles_remade):
 831  	@$(MKDIR_P) $(@D)
 832  	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
 833  
 834  am--depfiles: $(am__depfiles_remade)
 835  
 836  .c.o:
 837  @am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
 838  @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
 839  @am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 840  @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 841  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 842  @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
 843  
 844  .c.obj:
 845  @am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
 846  @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
 847  @am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 848  @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 849  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 850  @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 851  
 852  integration-integration.o: integration.c
 853  @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(integration_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT integration-integration.o -MD -MP -MF $(DEPDIR)/integration-integration.Tpo -c -o integration-integration.o `test -f 'integration.c' || echo '$(srcdir)/'`integration.c
 854  @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/integration-integration.Tpo $(DEPDIR)/integration-integration.Po
 855  @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='integration.c' object='integration-integration.o' libtool=no @AMDEPBACKSLASH@
 856  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 857  @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(integration_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o integration-integration.o `test -f 'integration.c' || echo '$(srcdir)/'`integration.c
 858  
 859  integration-integration.obj: integration.c
 860  @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(integration_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT integration-integration.obj -MD -MP -MF $(DEPDIR)/integration-integration.Tpo -c -o integration-integration.obj `if test -f 'integration.c'; then $(CYGPATH_W) 'integration.c'; else $(CYGPATH_W) '$(srcdir)/integration.c'; fi`
 861  @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/integration-integration.Tpo $(DEPDIR)/integration-integration.Po
 862  @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='integration.c' object='integration-integration.obj' libtool=no @AMDEPBACKSLASH@
 863  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 864  @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(integration_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o integration-integration.obj `if test -f 'integration.c'; then $(CYGPATH_W) 'integration.c'; else $(CYGPATH_W) '$(srcdir)/integration.c'; fi`
 865  install-installed_test_metaDATA: $(installed_test_meta_DATA)
 866  	@$(NORMAL_INSTALL)
 867  	@list='$(installed_test_meta_DATA)'; test -n "$(installed_test_metadir)" || list=; \
 868  	if test -n "$$list"; then \
 869  	  echo " $(MKDIR_P) '$(DESTDIR)$(installed_test_metadir)'"; \
 870  	  $(MKDIR_P) "$(DESTDIR)$(installed_test_metadir)" || exit 1; \
 871  	fi; \
 872  	for p in $$list; do \
 873  	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
 874  	  echo "$$d$$p"; \
 875  	done | $(am__base_list) | \
 876  	while read files; do \
 877  	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(installed_test_metadir)'"; \
 878  	  $(INSTALL_DATA) $$files "$(DESTDIR)$(installed_test_metadir)" || exit $$?; \
 879  	done
 880  
 881  uninstall-installed_test_metaDATA:
 882  	@$(NORMAL_UNINSTALL)
 883  	@list='$(installed_test_meta_DATA)'; test -n "$(installed_test_metadir)" || list=; \
 884  	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
 885  	dir='$(DESTDIR)$(installed_test_metadir)'; $(am__uninstall_files_from_dir)
 886  install-nobase_installed_testDATA: $(nobase_installed_test_DATA)
 887  	@$(NORMAL_INSTALL)
 888  	@list='$(nobase_installed_test_DATA)'; test -n "$(installed_testdir)" || list=; \
 889  	if test -n "$$list"; then \
 890  	  echo " $(MKDIR_P) '$(DESTDIR)$(installed_testdir)'"; \
 891  	  $(MKDIR_P) "$(DESTDIR)$(installed_testdir)" || exit 1; \
 892  	fi; \
 893  	$(am__nobase_list) | while read dir files; do \
 894  	  xfiles=; for file in $$files; do \
 895  	    if test -f "$$file"; then xfiles="$$xfiles $$file"; \
 896  	    else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
 897  	  test -z "$$xfiles" || { \
 898  	    test "x$$dir" = x. || { \
 899  	      echo " $(MKDIR_P) '$(DESTDIR)$(installed_testdir)/$$dir'"; \
 900  	      $(MKDIR_P) "$(DESTDIR)$(installed_testdir)/$$dir"; }; \
 901  	    echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(installed_testdir)/$$dir'"; \
 902  	    $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(installed_testdir)/$$dir" || exit $$?; }; \
 903  	done
 904  
 905  uninstall-nobase_installed_testDATA:
 906  	@$(NORMAL_UNINSTALL)
 907  	@list='$(nobase_installed_test_DATA)'; test -n "$(installed_testdir)" || list=; \
 908  	$(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
 909  	dir='$(DESTDIR)$(installed_testdir)'; $(am__uninstall_files_from_dir)
 910  
 911  ID: $(am__tagged_files)
 912  	$(am__define_uniq_tagged_files); mkid -fID $$unique
 913  tags: tags-am
 914  TAGS: tags
 915  
 916  tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
 917  	set x; \
 918  	here=`pwd`; \
 919  	$(am__define_uniq_tagged_files); \
 920  	shift; \
 921  	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
 922  	  test -n "$$unique" || unique=$$empty_fix; \
 923  	  if test $$# -gt 0; then \
 924  	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
 925  	      "$$@" $$unique; \
 926  	  else \
 927  	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
 928  	      $$unique; \
 929  	  fi; \
 930  	fi
 931  ctags: ctags-am
 932  
 933  CTAGS: ctags
 934  ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
 935  	$(am__define_uniq_tagged_files); \
 936  	test -z "$(CTAGS_ARGS)$$unique" \
 937  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
 938  	     $$unique
 939  
 940  GTAGS:
 941  	here=`$(am__cd) $(top_builddir) && pwd` \
 942  	  && $(am__cd) $(top_srcdir) \
 943  	  && gtags -i $(GTAGS_ARGS) "$$here"
 944  cscopelist: cscopelist-am
 945  
 946  cscopelist-am: $(am__tagged_files)
 947  	list='$(am__tagged_files)'; \
 948  	case "$(srcdir)" in \
 949  	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
 950  	  *) sdir=$(subdir)/$(srcdir) ;; \
 951  	esac; \
 952  	for i in $$list; do \
 953  	  if test -f "$$i"; then \
 954  	    echo "$(subdir)/$$i"; \
 955  	  else \
 956  	    echo "$$sdir/$$i"; \
 957  	  fi; \
 958  	done >> $(top_builddir)/cscope.files
 959  
 960  distclean-tags:
 961  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
 962  
 963  # Recover from deleted '.trs' file; this should ensure that
 964  # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
 965  # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
 966  # to avoid problems with "make -n".
 967  .log.trs:
 968  	rm -f $< $@
 969  	$(MAKE) $(AM_MAKEFLAGS) $<
 970  
 971  # Leading 'am--fnord' is there to ensure the list of targets does not
 972  # expand to empty, as could happen e.g. with make check TESTS=''.
 973  am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
 974  am--force-recheck:
 975  	@:
 976  
 977  $(TEST_SUITE_LOG): $(TEST_LOGS)
 978  	@$(am__set_TESTS_bases); \
 979  	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
 980  	redo_bases=`for i in $$bases; do \
 981  	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
 982  	            done`; \
 983  	if test -n "$$redo_bases"; then \
 984  	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
 985  	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
 986  	  if $(am__make_dryrun); then :; else \
 987  	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
 988  	  fi; \
 989  	fi; \
 990  	if test -n "$$am__remaking_logs"; then \
 991  	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
 992  	       "recursion detected" >&2; \
 993  	elif test -n "$$redo_logs"; then \
 994  	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
 995  	fi; \
 996  	if $(am__make_dryrun); then :; else \
 997  	  st=0;  \
 998  	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
 999  	  for i in $$redo_bases; do \
1000  	    test -f $$i.trs && test -r $$i.trs \
1001  	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1002  	    test -f $$i.log && test -r $$i.log \
1003  	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1004  	  done; \
1005  	  test $$st -eq 0 || exit 1; \
1006  	fi
1007  	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1008  	ws='[ 	]'; \
1009  	results=`for b in $$bases; do echo $$b.trs; done`; \
1010  	test -n "$$results" || results=/dev/null; \
1011  	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1012  	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1013  	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1014  	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1015  	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1016  	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1017  	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1018  	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1019  	  success=true; \
1020  	else \
1021  	  success=false; \
1022  	fi; \
1023  	br='==================='; br=$$br$$br$$br$$br; \
1024  	result_count () \
1025  	{ \
1026  	    if test x"$$1" = x"--maybe-color"; then \
1027  	      maybe_colorize=yes; \
1028  	    elif test x"$$1" = x"--no-color"; then \
1029  	      maybe_colorize=no; \
1030  	    else \
1031  	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1032  	    fi; \
1033  	    shift; \
1034  	    desc=$$1 count=$$2; \
1035  	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
1036  	      color_start=$$3 color_end=$$std; \
1037  	    else \
1038  	      color_start= color_end=; \
1039  	    fi; \
1040  	    echo "$${color_start}# $$desc $$count$${color_end}"; \
1041  	}; \
1042  	create_testsuite_report () \
1043  	{ \
1044  	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
1045  	  result_count $$1 "PASS: " $$pass  "$$grn"; \
1046  	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
1047  	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1048  	  result_count $$1 "FAIL: " $$fail  "$$red"; \
1049  	  result_count $$1 "XPASS:" $$xpass "$$red"; \
1050  	  result_count $$1 "ERROR:" $$error "$$mgn"; \
1051  	}; \
1052  	{								\
1053  	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
1054  	    $(am__rst_title);						\
1055  	  create_testsuite_report --no-color;				\
1056  	  echo;								\
1057  	  echo ".. contents:: :depth: 2";				\
1058  	  echo;								\
1059  	  for b in $$bases; do echo $$b; done				\
1060  	    | $(am__create_global_log);					\
1061  	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1062  	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1063  	if $$success; then						\
1064  	  col="$$grn";							\
1065  	 else								\
1066  	  col="$$red";							\
1067  	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1068  	fi;								\
1069  	echo "$${col}$$br$${std}"; 					\
1070  	echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}";	\
1071  	echo "$${col}$$br$${std}"; 					\
1072  	create_testsuite_report --maybe-color;				\
1073  	echo "$$col$$br$$std";						\
1074  	if $$success; then :; else					\
1075  	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1076  	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1077  	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1078  	  fi;								\
1079  	  echo "$$col$$br$$std";					\
1080  	fi;								\
1081  	$$success || exit 1
1082  
1083  check-TESTS: $(check_PROGRAMS) $(check_LTLIBRARIES) $(check_SCRIPTS) $(check_DATA)
1084  	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1085  	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1086  	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1087  	@set +e; $(am__set_TESTS_bases); \
1088  	log_list=`for i in $$bases; do echo $$i.log; done`; \
1089  	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1090  	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1091  	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1092  	exit $$?;
1093  recheck: all $(check_PROGRAMS) $(check_LTLIBRARIES) $(check_SCRIPTS) $(check_DATA)
1094  	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1095  	@set +e; $(am__set_TESTS_bases); \
1096  	bases=`for i in $$bases; do echo $$i; done \
1097  	         | $(am__list_recheck_tests)` || exit 1; \
1098  	log_list=`for i in $$bases; do echo $$i.log; done`; \
1099  	log_list=`echo $$log_list`; \
1100  	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1101  	        am__force_recheck=am--force-recheck \
1102  	        TEST_LOGS="$$log_list"; \
1103  	exit $$?
1104  options.log: options$(EXEEXT)
1105  	@p='options$(EXEEXT)'; \
1106  	b='options'; \
1107  	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1108  	--log-file $$b.log --trs-file $$b.trs \
1109  	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1110  	"$$tst" $(AM_TESTS_FD_REDIRECT)
1111  integration.log: integration$(EXEEXT)
1112  	@p='integration$(EXEEXT)'; \
1113  	b='integration'; \
1114  	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1115  	--log-file $$b.log --trs-file $$b.trs \
1116  	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1117  	"$$tst" $(AM_TESTS_FD_REDIRECT)
1118  .test.log:
1119  	@p='$<'; \
1120  	$(am__set_b); \
1121  	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1122  	--log-file $$b.log --trs-file $$b.trs \
1123  	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1124  	"$$tst" $(AM_TESTS_FD_REDIRECT)
1125  @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1126  @am__EXEEXT_TRUE@	@p='$<'; \
1127  @am__EXEEXT_TRUE@	$(am__set_b); \
1128  @am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1129  @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1130  @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1131  @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1132  distdir: $(BUILT_SOURCES)
1133  	$(MAKE) $(AM_MAKEFLAGS) distdir-am
1134  
1135  distdir-am: $(DISTFILES)
1136  	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1137  	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1138  	list='$(DISTFILES)'; \
1139  	  dist_files=`for file in $$list; do echo $$file; done | \
1140  	  sed -e "s|^$$srcdirstrip/||;t" \
1141  	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1142  	case $$dist_files in \
1143  	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1144  			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1145  			   sort -u` ;; \
1146  	esac; \
1147  	for file in $$dist_files; do \
1148  	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1149  	  if test -d $$d/$$file; then \
1150  	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1151  	    if test -d "$(distdir)/$$file"; then \
1152  	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1153  	    fi; \
1154  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1155  	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1156  	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1157  	    fi; \
1158  	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1159  	  else \
1160  	    test -f "$(distdir)/$$file" \
1161  	    || cp -p $$d/$$file "$(distdir)/$$file" \
1162  	    || exit 1; \
1163  	  fi; \
1164  	done
1165  check-am: all-am
1166  	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_LTLIBRARIES) \
1167  	  $(check_SCRIPTS) $(check_DATA)
1168  	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1169  check: $(BUILT_SOURCES)
1170  	$(MAKE) $(AM_MAKEFLAGS) check-am
1171  all-am: Makefile $(PROGRAMS) $(LTLIBRARIES) $(SCRIPTS) $(DATA)
1172  installdirs:
1173  	for dir in "$(DESTDIR)$(installed_testdir)" "$(DESTDIR)$(installed_testdir)" "$(DESTDIR)$(installed_testdir)" "$(DESTDIR)$(installed_test_metadir)" "$(DESTDIR)$(installed_testdir)"; do \
1174  	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1175  	done
1176  install: $(BUILT_SOURCES)
1177  	$(MAKE) $(AM_MAKEFLAGS) install-am
1178  install-exec: $(BUILT_SOURCES)
1179  	$(MAKE) $(AM_MAKEFLAGS) install-exec-am
1180  install-data: install-data-am
1181  uninstall: uninstall-am
1182  
1183  install-am: all-am
1184  	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1185  
1186  installcheck: installcheck-am
1187  install-strip:
1188  	if test -z '$(STRIP)'; then \
1189  	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1190  	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1191  	      install; \
1192  	else \
1193  	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1194  	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1195  	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1196  	fi
1197  mostlyclean-generic:
1198  	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1199  	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1200  	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1201  
1202  clean-generic:
1203  	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1204  
1205  distclean-generic:
1206  	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1207  	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1208  	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1209  
1210  maintainer-clean-generic:
1211  	@echo "This command is intended for maintainers to use"
1212  	@echo "it deletes files that may require special tools to rebuild."
1213  	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1214  	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
1215  clean: clean-am
1216  
1217  clean-am: clean-checkLTLIBRARIES clean-checkPROGRAMS clean-generic \
1218  	clean-installed_testLTLIBRARIES clean-installed_testPROGRAMS \
1219  	clean-noinstLTLIBRARIES clean-noinstPROGRAMS mostlyclean-am
1220  
1221  distclean: distclean-am
1222  		-rm -f ./$(DEPDIR)/integration-integration.Po
1223  	-rm -f ./$(DEPDIR)/options.Po
1224  	-rm -f Makefile
1225  distclean-am: clean-am distclean-compile distclean-generic \
1226  	distclean-tags
1227  
1228  dvi: dvi-am
1229  
1230  dvi-am:
1231  
1232  html: html-am
1233  
1234  html-am:
1235  
1236  info: info-am
1237  
1238  info-am:
1239  
1240  install-data-am: install-installed_testLTLIBRARIES \
1241  	install-installed_testPROGRAMS install-installed_testSCRIPTS \
1242  	install-installed_test_metaDATA \
1243  	install-nobase_installed_testDATA
1244  
1245  install-dvi: install-dvi-am
1246  
1247  install-dvi-am:
1248  
1249  install-exec-am:
1250  
1251  install-html: install-html-am
1252  
1253  install-html-am:
1254  
1255  install-info: install-info-am
1256  
1257  install-info-am:
1258  
1259  install-man:
1260  
1261  install-pdf: install-pdf-am
1262  
1263  install-pdf-am:
1264  
1265  install-ps: install-ps-am
1266  
1267  install-ps-am:
1268  
1269  installcheck-am:
1270  
1271  maintainer-clean: maintainer-clean-am
1272  		-rm -f ./$(DEPDIR)/integration-integration.Po
1273  	-rm -f ./$(DEPDIR)/options.Po
1274  	-rm -f Makefile
1275  maintainer-clean-am: distclean-am maintainer-clean-generic
1276  
1277  mostlyclean: mostlyclean-am
1278  
1279  mostlyclean-am: mostlyclean-compile mostlyclean-generic
1280  
1281  pdf: pdf-am
1282  
1283  pdf-am:
1284  
1285  ps: ps-am
1286  
1287  ps-am:
1288  
1289  uninstall-am: uninstall-installed_testLTLIBRARIES \
1290  	uninstall-installed_testPROGRAMS \
1291  	uninstall-installed_testSCRIPTS \
1292  	uninstall-installed_test_metaDATA \
1293  	uninstall-nobase_installed_testDATA
1294  
1295  .MAKE: all check check-am install install-am install-exec \
1296  	install-strip
1297  
1298  .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
1299  	check-am clean clean-checkLTLIBRARIES clean-checkPROGRAMS \
1300  	clean-generic clean-installed_testLTLIBRARIES \
1301  	clean-installed_testPROGRAMS clean-noinstLTLIBRARIES \
1302  	clean-noinstPROGRAMS cscopelist-am ctags ctags-am distclean \
1303  	distclean-compile distclean-generic distclean-tags distdir dvi \
1304  	dvi-am html html-am info info-am install install-am \
1305  	install-data install-data-am install-dvi install-dvi-am \
1306  	install-exec install-exec-am install-html install-html-am \
1307  	install-info install-info-am install-installed_testLTLIBRARIES \
1308  	install-installed_testPROGRAMS install-installed_testSCRIPTS \
1309  	install-installed_test_metaDATA install-man \
1310  	install-nobase_installed_testDATA install-pdf install-pdf-am \
1311  	install-ps install-ps-am install-strip installcheck \
1312  	installcheck-am installdirs maintainer-clean \
1313  	maintainer-clean-generic mostlyclean mostlyclean-compile \
1314  	mostlyclean-generic pdf pdf-am ps ps-am recheck tags tags-am \
1315  	uninstall uninstall-am uninstall-installed_testLTLIBRARIES \
1316  	uninstall-installed_testPROGRAMS \
1317  	uninstall-installed_testSCRIPTS \
1318  	uninstall-installed_test_metaDATA \
1319  	uninstall-nobase_installed_testDATA
1320  
1321  .PRECIOUS: Makefile
1322  
1323  
1324  @ENABLE_INSTALLED_TESTS_TRUE@%.test: %$(EXEEXT) Makefile
1325  @ENABLE_INSTALLED_TESTS_TRUE@	$(AM_V_GEN) (echo '[Test]' > $@.tmp; \
1326  @ENABLE_INSTALLED_TESTS_TRUE@	echo 'Type=session' >> $@.tmp; \
1327  @ENABLE_INSTALLED_TESTS_TRUE@	echo 'Exec=$(installed_testdir)/$(notdir $<) --tap' >> $@.tmp; \
1328  @ENABLE_INSTALLED_TESTS_TRUE@	echo 'Output=TAP' >> $@.tmp; \
1329  @ENABLE_INSTALLED_TESTS_TRUE@	mv $@.tmp $@)
1330  
1331  # Tell versions [3.59,3.63) of GNU make to not export all variables.
1332  # Otherwise a system limit (for SysV at least) may be exceeded.
1333  .NOEXPORT: